<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.chooseInSticks.chooseDialog</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1chooseInSticks_1_1chooseDialog.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="classsrc_1_1chooseInSticks_1_1chooseDialog-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.chooseInSticks.chooseDialog</div>  </div>
</div><!--header-->
<div class="contents">

<p>Un dialogue pour choisir un ensemble de fichiers à copier depuis une clé USB.  
 <a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#details">Plus de détails...</a></p>
<div class="dynheader">
Graphe d'héritage de src.chooseInSticks.chooseDialog:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog__inherit__graph.png" border="0" usemap="#src_8chooseInSticks_8chooseDialog_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8chooseInSticks_8chooseDialog_inherit__map" id="src_8chooseInSticks_8chooseDialog_inherit__map">
<area shape="rect" title="Un dialogue pour choisir un ensemble de fichiers à copier depuis une clé USB." alt="" coords="5,80,184,121"/>
<area shape="rect" href="classQDialog.html" title=" " alt="" coords="61,5,129,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.chooseInSticks.chooseDialog:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog__coll__graph.png" border="0" usemap="#src_8chooseInSticks_8chooseDialog_coll__map" alt="Collaboration graph"/></div>
<map name="src_8chooseInSticks_8chooseDialog_coll__map" id="src_8chooseInSticks_8chooseDialog_coll__map">
<area shape="rect" title="Un dialogue pour choisir un ensemble de fichiers à copier depuis une clé USB." alt="" coords="5,80,184,121"/>
<area shape="rect" href="classQDialog.html" title=" " alt="" coords="61,5,129,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:ac3b09c20f5a47abf606d6f557e662a60"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ac3b09c20f5a47abf606d6f557e662a60">__init__</a> (self, parent=None, title1=&quot;&quot;, title2=&quot;&quot;, okPrompt=&quot;OK&quot;)</td></tr>
<tr class="memdesc:ac3b09c20f5a47abf606d6f557e662a60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Le constructeur.  <a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ac3b09c20f5a47abf606d6f557e662a60">Plus de détails...</a><br /></td></tr>
<tr class="separator:ac3b09c20f5a47abf606d6f557e662a60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05ad7d0c5c309fe41fe7fa75eb4913a3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a05ad7d0c5c309fe41fe7fa75eb4913a3">checkValues</a> (self)</td></tr>
<tr class="separator:a05ad7d0c5c309fe41fe7fa75eb4913a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a947a13aa924a58f56b6308caff6e45"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6a947a13aa924a58f56b6308caff6e45">listStorages</a> (self)</td></tr>
<tr class="separator:a6a947a13aa924a58f56b6308caff6e45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa67ebba32bfa920c5d1b0ebd983e3289"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aa67ebba32bfa920c5d1b0ebd983e3289">checkWorkDirs</a> (self)</td></tr>
<tr class="separator:aa67ebba32bfa920c5d1b0ebd983e3289"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8037270a5e48021a928761beca5d0400"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a8037270a5e48021a928761beca5d0400">baseDir</a> (self)</td></tr>
<tr class="separator:a8037270a5e48021a928761beca5d0400"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8734329312ac99a7ce87ec4f3c23dc6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae8734329312ac99a7ce87ec4f3c23dc6">selectedDiskMountPoint</a> (self)</td></tr>
<tr class="separator:ae8734329312ac99a7ce87ec4f3c23dc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba3189be165ecad71522e4d13b86fce2"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aba3189be165ecad71522e4d13b86fce2">selectedDiskOwner</a> (self)</td></tr>
<tr class="separator:aba3189be165ecad71522e4d13b86fce2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6716861dec0cd550598e720dcbd85fd0"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6716861dec0cd550598e720dcbd85fd0">changeWd</a> (self)</td></tr>
<tr class="memdesc:a6716861dec0cd550598e720dcbd85fd0"><td class="mdescLeft">&#160;</td><td class="mdescRight">changement du répertoire de travail  <a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6716861dec0cd550598e720dcbd85fd0">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6716861dec0cd550598e720dcbd85fd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02447b742fdd693827af19f7842ea95d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a02447b742fdd693827af19f7842ea95d">choose</a> (self, kind=&quot;file&quot;)</td></tr>
<tr class="separator:a02447b742fdd693827af19f7842ea95d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a452bf5d132f3e6ae7573e6242e8ce11a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a452bf5d132f3e6ae7573e6242e8ce11a">choose_dir</a> (self)</td></tr>
<tr class="separator:a452bf5d132f3e6ae7573e6242e8ce11a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ad5035351ffc46963b177d49be29b45"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a0ad5035351ffc46963b177d49be29b45">activate</a> (self, item)</td></tr>
<tr class="memdesc:a0ad5035351ffc46963b177d49be29b45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fonction de rappel quand un item de la liste est activé  <a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a0ad5035351ffc46963b177d49be29b45">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0ad5035351ffc46963b177d49be29b45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd0eb40e7c5dd52a6b1e4f6632b72cb4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#acd0eb40e7c5dd52a6b1e4f6632b72cb4">plus</a> (self)</td></tr>
<tr class="separator:acd0eb40e7c5dd52a6b1e4f6632b72cb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac668be1db6d809333bb80748fb4dd238"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ac668be1db6d809333bb80748fb4dd238">minus</a> (self)</td></tr>
<tr class="separator:ac668be1db6d809333bb80748fb4dd238"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71579559d9987764231ad6c16f553524"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a71579559d9987764231ad6c16f553524">append</a> (self, path)</td></tr>
<tr class="memdesc:a71579559d9987764231ad6c16f553524"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ajoute un chemin avec ou sans jokers à la liste des chemins à supprimer.  <a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a71579559d9987764231ad6c16f553524">Plus de détails...</a><br /></td></tr>
<tr class="separator:a71579559d9987764231ad6c16f553524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a6b09b208f6a51b3aa7344d37590341"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6a6b09b208f6a51b3aa7344d37590341">pathList</a> (self)</td></tr>
<tr class="separator:a6a6b09b208f6a51b3aa7344d37590341"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:afe56110721a38e428431b04ac45b9ad6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#afe56110721a38e428431b04ac45b9ad6">mainWindow</a></td></tr>
<tr class="separator:afe56110721a38e428431b04ac45b9ad6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5103dd3d4df161782e1516c780e975e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae5103dd3d4df161782e1516c780e975e">okButton</a></td></tr>
<tr class="memdesc:ae5103dd3d4df161782e1516c780e975e"><td class="mdescLeft">&#160;</td><td class="mdescRight">mise en place des titres personnalisés  <a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae5103dd3d4df161782e1516c780e975e">Plus de détails...</a><br /></td></tr>
<tr class="separator:ae5103dd3d4df161782e1516c780e975e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fc8ac084368fd21decade8bb18dbdf6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5fc8ac084368fd21decade8bb18dbdf6">ownedUsbDictionary</a></td></tr>
<tr class="memdesc:a5fc8ac084368fd21decade8bb18dbdf6"><td class="mdescLeft">&#160;</td><td class="mdescRight">peuplement de la zone des noms de baladeurs  <a href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a5fc8ac084368fd21decade8bb18dbdf6">Plus de détails...</a><br /></td></tr>
<tr class="separator:a5fc8ac084368fd21decade8bb18dbdf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f93ca261a81394f7eb89abb75ed2f72"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a2f93ca261a81394f7eb89abb75ed2f72">ok</a></td></tr>
<tr class="separator:a2f93ca261a81394f7eb89abb75ed2f72"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Un dialogue pour choisir un ensemble de fichiers à copier depuis une clé USB. </p>

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00033">33</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="ac3b09c20f5a47abf606d6f557e662a60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3b09c20f5a47abf606d6f557e662a60">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>title1</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>title2</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>okPrompt</em> = <code>&quot;OK&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Le constructeur. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>un <a class="el" href="namespacesrc_1_1mainWindow.html">mainWindow</a>, qui est censé contenir des données telles que parent.workdir, ... </td></tr>
    <tr><td class="paramname">title1</td><td>le titre du dialogue </td></tr>
    <tr><td class="paramname">title2</td><td>le titre pour la série de fichiers/modèles </td></tr>
    <tr><td class="paramname">okPrompt</td><td>le texte du bouton OK </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00042">42</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a0ad5035351ffc46963b177d49be29b45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ad5035351ffc46963b177d49be29b45">&#9670;&nbsp;</a></span>activate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.activate </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fonction de rappel quand un item de la liste est activé </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">item</td><td>désignation de l'item activé </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00238">238</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>

</div>
</div>
<a id="a71579559d9987764231ad6c16f553524"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71579559d9987764231ad6c16f553524">&#9670;&nbsp;</a></span>append()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.append </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Ajoute un chemin avec ou sans jokers à la liste des chemins à supprimer. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>le chemin </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00269">269</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_a71579559d9987764231ad6c16f553524_icgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_a71579559d9987764231ad6c16f553524_icgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_a71579559d9987764231ad6c16f553524_icgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_a71579559d9987764231ad6c16f553524_icgraph">
<area shape="rect" title="Ajoute un chemin avec ou sans jokers à la liste des chemins à supprimer." alt="" coords="685,5,864,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#acd0eb40e7c5dd52a6b1e4f6632b72cb4" title=" " alt="" coords="459,5,637,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a02447b742fdd693827af19f7842ea95d" title=" " alt="" coords="232,5,411,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a452bf5d132f3e6ae7573e6242e8ce11a" title=" " alt="" coords="5,5,184,47"/>
</map>
</div>

</div>
</div>
<a id="a8037270a5e48021a928761beca5d0400"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8037270a5e48021a928761beca5d0400">&#9670;&nbsp;</a></span>baseDir()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.baseDir </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00155">155</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_a8037270a5e48021a928761beca5d0400_cgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_a8037270a5e48021a928761beca5d0400_cgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_a8037270a5e48021a928761beca5d0400_cgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_a8037270a5e48021a928761beca5d0400_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,184,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae8734329312ac99a7ce87ec4f3c23dc6" title=" " alt="" coords="232,5,435,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aba3189be165ecad71522e4d13b86fce2" title=" " alt="" coords="483,5,661,47"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_a8037270a5e48021a928761beca5d0400_icgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_a8037270a5e48021a928761beca5d0400_icgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_a8037270a5e48021a928761beca5d0400_icgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_a8037270a5e48021a928761beca5d0400_icgraph">
<area shape="rect" title=" " alt="" coords="459,5,637,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a02447b742fdd693827af19f7842ea95d" title=" " alt="" coords="232,5,411,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a452bf5d132f3e6ae7573e6242e8ce11a" title=" " alt="" coords="5,5,184,47"/>
</map>
</div>

</div>
</div>
<a id="a6716861dec0cd550598e720dcbd85fd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6716861dec0cd550598e720dcbd85fd0">&#9670;&nbsp;</a></span>changeWd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.changeWd </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>changement du répertoire de travail </p>

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00186">186</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_a6716861dec0cd550598e720dcbd85fd0_cgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_a6716861dec0cd550598e720dcbd85fd0_cgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_a6716861dec0cd550598e720dcbd85fd0_cgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_a6716861dec0cd550598e720dcbd85fd0_cgraph">
<area shape="rect" title="changement du répertoire de travail" alt="" coords="5,5,184,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aa67ebba32bfa920c5d1b0ebd983e3289" title=" " alt="" coords="232,5,411,47"/>
</map>
</div>

</div>
</div>
<a id="a05ad7d0c5c309fe41fe7fa75eb4913a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05ad7d0c5c309fe41fe7fa75eb4913a3">&#9670;&nbsp;</a></span>checkValues()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.checkValues </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00087">87</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>

</div>
</div>
<a id="aa67ebba32bfa920c5d1b0ebd983e3289"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa67ebba32bfa920c5d1b0ebd983e3289">&#9670;&nbsp;</a></span>checkWorkDirs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.checkWorkDirs </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00115">115</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_aa67ebba32bfa920c5d1b0ebd983e3289_icgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_aa67ebba32bfa920c5d1b0ebd983e3289_icgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_aa67ebba32bfa920c5d1b0ebd983e3289_icgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_aa67ebba32bfa920c5d1b0ebd983e3289_icgraph">
<area shape="rect" title=" " alt="" coords="232,39,411,80"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6716861dec0cd550598e720dcbd85fd0" title="changement du répertoire de travail" alt="" coords="5,5,184,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a6a947a13aa924a58f56b6308caff6e45" title=" " alt="" coords="5,71,184,112"/>
</map>
</div>

</div>
</div>
<a id="a02447b742fdd693827af19f7842ea95d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02447b742fdd693827af19f7842ea95d">&#9670;&nbsp;</a></span>choose()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.choose </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>kind</em> = <code>&quot;file&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00198">198</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_a02447b742fdd693827af19f7842ea95d_cgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_a02447b742fdd693827af19f7842ea95d_cgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_a02447b742fdd693827af19f7842ea95d_cgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_a02447b742fdd693827af19f7842ea95d_cgraph">
<area shape="rect" title=" " alt="" coords="5,64,184,105"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a8037270a5e48021a928761beca5d0400" title=" " alt="" coords="232,5,411,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae8734329312ac99a7ce87ec4f3c23dc6" title=" " alt="" coords="459,32,661,73"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#acd0eb40e7c5dd52a6b1e4f6632b72cb4" title=" " alt="" coords="232,123,411,164"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aba3189be165ecad71522e4d13b86fce2" title=" " alt="" coords="709,32,888,73"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a71579559d9987764231ad6c16f553524" title="Ajoute un chemin avec ou sans jokers à la liste des chemins à supprimer." alt="" coords="471,123,649,164"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_a02447b742fdd693827af19f7842ea95d_icgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_a02447b742fdd693827af19f7842ea95d_icgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_a02447b742fdd693827af19f7842ea95d_icgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_a02447b742fdd693827af19f7842ea95d_icgraph">
<area shape="rect" title=" " alt="" coords="232,5,411,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a452bf5d132f3e6ae7573e6242e8ce11a" title=" " alt="" coords="5,5,184,47"/>
</map>
</div>

</div>
</div>
<a id="a452bf5d132f3e6ae7573e6242e8ce11a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a452bf5d132f3e6ae7573e6242e8ce11a">&#9670;&nbsp;</a></span>choose_dir()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.choose_dir </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00231">231</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_a452bf5d132f3e6ae7573e6242e8ce11a_cgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_a452bf5d132f3e6ae7573e6242e8ce11a_cgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_a452bf5d132f3e6ae7573e6242e8ce11a_cgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_a452bf5d132f3e6ae7573e6242e8ce11a_cgraph">
<area shape="rect" title=" " alt="" coords="5,64,184,105"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a02447b742fdd693827af19f7842ea95d" title=" " alt="" coords="232,64,411,105"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a8037270a5e48021a928761beca5d0400" title=" " alt="" coords="459,5,637,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae8734329312ac99a7ce87ec4f3c23dc6" title=" " alt="" coords="685,32,888,73"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#acd0eb40e7c5dd52a6b1e4f6632b72cb4" title=" " alt="" coords="459,123,637,164"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aba3189be165ecad71522e4d13b86fce2" title=" " alt="" coords="936,32,1115,73"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a71579559d9987764231ad6c16f553524" title="Ajoute un chemin avec ou sans jokers à la liste des chemins à supprimer." alt="" coords="697,123,876,164"/>
</map>
</div>

</div>
</div>
<a id="a6a947a13aa924a58f56b6308caff6e45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a947a13aa924a58f56b6308caff6e45">&#9670;&nbsp;</a></span>listStorages()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.listStorages </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00095">95</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_a6a947a13aa924a58f56b6308caff6e45_cgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_a6a947a13aa924a58f56b6308caff6e45_cgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_a6a947a13aa924a58f56b6308caff6e45_cgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_a6a947a13aa924a58f56b6308caff6e45_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,184,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aa67ebba32bfa920c5d1b0ebd983e3289" title=" " alt="" coords="232,5,411,47"/>
</map>
</div>

</div>
</div>
<a id="ac668be1db6d809333bb80748fb4dd238"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac668be1db6d809333bb80748fb4dd238">&#9670;&nbsp;</a></span>minus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.minus </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00254">254</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>

</div>
</div>
<a id="a6a6b09b208f6a51b3aa7344d37590341"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a6b09b208f6a51b3aa7344d37590341">&#9670;&nbsp;</a></span>pathList()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.pathList </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00284">284</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>

</div>
</div>
<a id="acd0eb40e7c5dd52a6b1e4f6632b72cb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd0eb40e7c5dd52a6b1e4f6632b72cb4">&#9670;&nbsp;</a></span>plus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.plus </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00245">245</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_acd0eb40e7c5dd52a6b1e4f6632b72cb4_cgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_acd0eb40e7c5dd52a6b1e4f6632b72cb4_cgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_acd0eb40e7c5dd52a6b1e4f6632b72cb4_cgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_acd0eb40e7c5dd52a6b1e4f6632b72cb4_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,184,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a71579559d9987764231ad6c16f553524" title="Ajoute un chemin avec ou sans jokers à la liste des chemins à supprimer." alt="" coords="232,5,411,47"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_acd0eb40e7c5dd52a6b1e4f6632b72cb4_icgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_acd0eb40e7c5dd52a6b1e4f6632b72cb4_icgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_acd0eb40e7c5dd52a6b1e4f6632b72cb4_icgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_acd0eb40e7c5dd52a6b1e4f6632b72cb4_icgraph">
<area shape="rect" title=" " alt="" coords="459,5,637,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a02447b742fdd693827af19f7842ea95d" title=" " alt="" coords="232,5,411,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a452bf5d132f3e6ae7573e6242e8ce11a" title=" " alt="" coords="5,5,184,47"/>
</map>
</div>

</div>
</div>
<a id="ae8734329312ac99a7ce87ec4f3c23dc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8734329312ac99a7ce87ec4f3c23dc6">&#9670;&nbsp;</a></span>selectedDiskMountPoint()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.selectedDiskMountPoint </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section return"><dt>Renvoie</dt><dd>le point de montage du support sélectionné s'il y en a un </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00165">165</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_ae8734329312ac99a7ce87ec4f3c23dc6_cgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_ae8734329312ac99a7ce87ec4f3c23dc6_cgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_ae8734329312ac99a7ce87ec4f3c23dc6_cgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_ae8734329312ac99a7ce87ec4f3c23dc6_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,208,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#aba3189be165ecad71522e4d13b86fce2" title=" " alt="" coords="256,5,435,47"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_ae8734329312ac99a7ce87ec4f3c23dc6_icgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_ae8734329312ac99a7ce87ec4f3c23dc6_icgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_ae8734329312ac99a7ce87ec4f3c23dc6_icgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_ae8734329312ac99a7ce87ec4f3c23dc6_icgraph">
<area shape="rect" title=" " alt="" coords="685,35,888,76"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a8037270a5e48021a928761beca5d0400" title=" " alt="" coords="459,5,637,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a02447b742fdd693827af19f7842ea95d" title=" " alt="" coords="232,35,411,76"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a452bf5d132f3e6ae7573e6242e8ce11a" title=" " alt="" coords="5,35,184,76"/>
</map>
</div>

</div>
</div>
<a id="aba3189be165ecad71522e4d13b86fce2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba3189be165ecad71522e4d13b86fce2">&#9670;&nbsp;</a></span>selectedDiskOwner()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.chooseInSticks.chooseDialog.selectedDiskOwner </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00176">176</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1chooseInSticks_1_1chooseDialog_aba3189be165ecad71522e4d13b86fce2_icgraph.png" border="0" usemap="#classsrc_1_1chooseInSticks_1_1chooseDialog_aba3189be165ecad71522e4d13b86fce2_icgraph" alt=""/></div>
<map name="classsrc_1_1chooseInSticks_1_1chooseDialog_aba3189be165ecad71522e4d13b86fce2_icgraph" id="classsrc_1_1chooseInSticks_1_1chooseDialog_aba3189be165ecad71522e4d13b86fce2_icgraph">
<area shape="rect" title=" " alt="" coords="936,35,1115,76"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#ae8734329312ac99a7ce87ec4f3c23dc6" title=" " alt="" coords="685,35,888,76"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a8037270a5e48021a928761beca5d0400" title=" " alt="" coords="459,5,637,47"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a02447b742fdd693827af19f7842ea95d" title=" " alt="" coords="232,35,411,76"/>
<area shape="rect" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html#a452bf5d132f3e6ae7573e6242e8ce11a" title=" " alt="" coords="5,35,184,76"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Documentation des données membres</h2>
<a id="afe56110721a38e428431b04ac45b9ad6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe56110721a38e428431b04ac45b9ad6">&#9670;&nbsp;</a></span>mainWindow</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.chooseInSticks.chooseDialog.mainWindow</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00044">44</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>

</div>
</div>
<a id="a2f93ca261a81394f7eb89abb75ed2f72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f93ca261a81394f7eb89abb75ed2f72">&#9670;&nbsp;</a></span>ok</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.chooseInSticks.chooseDialog.ok</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00080">80</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>

</div>
</div>
<a id="ae5103dd3d4df161782e1516c780e975e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5103dd3d4df161782e1516c780e975e">&#9670;&nbsp;</a></span>okButton</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.chooseInSticks.chooseDialog.okButton</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>mise en place des titres personnalisés </p>
<p>mise en place du bouton personnalisé </p>

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00053">53</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>

</div>
</div>
<a id="a5fc8ac084368fd21decade8bb18dbdf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fc8ac084368fd21decade8bb18dbdf6">&#9670;&nbsp;</a></span>ownedUsbDictionary</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.chooseInSticks.chooseDialog.ownedUsbDictionary</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>peuplement de la zone des noms de baladeurs </p>

<p class="definition">Définition à la ligne <a class="el" href="chooseInSticks_8py_source.html#l00069">69</a> du fichier <a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="chooseInSticks_8py_source.html">chooseInSticks.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1chooseInSticks.html">chooseInSticks</a></li><li class="navelem"><a class="el" href="classsrc_1_1chooseInSticks_1_1chooseDialog.html">chooseDialog</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
